document.addEventListener('DOMContentLoaded', () => {
  const emailForm = document.getElementById('emailForm');
  const resultContainer = document.getElementById('result');

  emailForm.addEventListener('submit', async (e) => {
    e.preventDefault();
    const email = document.getElementById('emailInput').value;
    const domain = email.split('@')[1];

    if (!domain) {
      showResult('Please enter a valid email address.');
      return;
    }

    try {
      const webmailUrl = await findWebmailUrl(domain);
      showResult(`
        <h2>Webmail Login Found</h2>
        <p>We found the login page for ${domain}:</p>
        <a href="${webmailUrl}" target="_blank" class="search-button">
          <span class="button-text">Go to Login Page</span>
          <span class="button-icon">↗</span>
        </a>
      `);
    } catch (error) {
      showResult('Sorry, we couldn\'t find the webmail login page for this domain.');
    }
  });

  function showResult(content) {
    resultContainer.innerHTML = content;
    resultContainer.classList.remove('visible');
    // Force reflow
    void resultContainer.offsetWidth;
    resultContainer.classList.add('visible');
  }

  async function findWebmailUrl(domain) {
    // Common webmail patterns
    const patterns = {
      'gmail.com': 'https://mail.google.com',
      'yahoo.com': 'https://mail.yahoo.com',
      'outlook.com': 'https://outlook.live.com',
      'hotmail.com': 'https://outlook.live.com',
      'aol.com': 'https://mail.aol.com'
    };

    if (patterns[domain]) {
      return patterns[domain];
    }

    // For custom domains, try common webmail paths
    return `https://webmail.${domain}`;
  }
});
